Force Sync
Force a sync for an account.
POST https://api.sonorancms.com/v2/community/accounts/00000000-0000-0000-0000-000000000000/sync
Rate limit:
27 requests per minute
Authenticated v2 endpoints are rate limited per credential rather than per IP address.
Force a sync for an account.
Route Parameters
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| accountId | string (uuid) | Yes | Target accountId. |
Request Body
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| accId | string | Yes | See example request for the shape. |
Example Request
local Sonoran = require("sonoran")
local sonoran = Sonoran.createClient({
product = Sonoran.productEnums.CMS,
apiKey = "YOUR_API_KEY",
communityId = "YOUR_COMMUNITY_ID",
defaultServerId = 1,
timeoutMs = 30000,
})
local accountId = "00000000-0000-0000-0000-000000000000"
local payload = {
["accId"] = "00000000-0000-0000-0000-000000000000"
}
local response = sonoran.cms:forceSyncV2(accountId, payload)
if response.success then
print(response.data)
else
print(response.reason)
endResponse
The data value is a confirmation string emitted by the sync service.
Last updated
Was this helpful?

